//+------------------------------------------------------------------+
//|            kinonen's indicator Close above/below 3 ribbons       |
//+------------------------------------------------------------------+
#property  copyright "Copyright  2008, MetaQuotes Software Corp."
#property  link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 1

#property  indicator_buffers 3
#property  indicator_color1  DarkGreen
#property  indicator_color2  Red
#property  indicator_color3  Yellow
extern int       MA1Period=36;
extern double    factor1=0.59;
extern int       MA2Period =54;
extern double    factor2=0.62;
extern int       MA3Period=180;
extern double    factor3=0.59;
extern int       MA4Period =270;
extern double    factor4=0.62;
extern int       MA5Period=540;
extern double    factor5=0.62;
extern int       MA6Period =810;
extern double    factor6=0.67;



extern int nbOfBars=1000;

//---- indicator buffers
double   ExtBuffer1[];
double   ExtBuffer2[];
double   ExtBuffer3[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- drawing settings
   SetIndexStyle(0,DRAW_HISTOGRAM, EMPTY,4,DarkGreen);
   SetIndexBuffer(0,ExtBuffer1);
   SetIndexStyle(1,DRAW_HISTOGRAM, EMPTY,4,Red);
   SetIndexBuffer(1,ExtBuffer2);
    SetIndexStyle(2,DRAW_HISTOGRAM, EMPTY,4,Yellow);
   SetIndexBuffer(2,ExtBuffer3);
   
   
//---- names
   IndicatorShortName("kino_ Close above/underRibbons");
   
   SetIndexLabel(0,"Open bar is above");      // higher
   SetIndexLabel(1,"Open bar is below ");      // lower
   SetIndexLabel(2,"Open bar is elsewhere");      // else
   
//---- initialization done
   return(0);
  }
int start()
  {
  
  double a,b,c,d,e,f;
  
   
//---- last counted bar will be recounted
   
//---- 
   for(int i=0; i<nbOfBars; i++)  //
   
   {  //iCustom( string symbol, int timeframe, string name, ..., int mode, int shift) 
      //mode=Line index. Can be from 0 to7 and must correspond with the index used by one of SetIndexBuffer functions. 
   
     a=iCustom(NULL, 0,"kino_T3MA ribbon filled",MA1Period,factor1,0,i);
     b=iCustom(NULL, 0,"kino_T3MA ribbon filled",MA2Period,factor2,2,i);
     c=iCustom(NULL, 0,"kino_T3MA ribbon filled",MA3Period,factor3,0,i);
     d=iCustom(NULL, 0,"kino_T3MA ribbon filled",MA4Period,factor4,2,i);
     e=iCustom(NULL, 0,"kino_T3MA ribbon filled",MA5Period,factor5,0,i);
     f=iCustom(NULL, 0,"kino_T3MA ribbon filled",MA6Period,factor6,2,i);  
     
              
    if (   iClose(0,0,i)>a && iClose(0,0,i)>b && iClose(0,0,i)>c 
        && iClose(0,0,i)>d && iClose(0,0,i)>e && iClose(0,0,i)>f  )
         {ExtBuffer1[i]=1;}
    else if (   iClose(0,0,i)<a && iClose(0,0,i)<b && iClose(0,0,i)<c 
        && iClose(0,0,i)<d && iClose(0,0,i)<e && iClose(0,0,i)<f  )
         {ExtBuffer2[i]=1;}     
         
    else
         ExtBuffer3[i]=1;
     
   }
                 
   return(0);
  }
  
//+------------------------------------------------------------------+